/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:45:09
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-05-17 18:46:11
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppGlobalVar.c
 */
/*
 * AppGlobalVar.c
 *Ӧòȫֱ
 *  Created on: 2022119
 *      Author: QiXiang_CHENJIE
 */

#include "AppGlobalVar.h"
//

//*ȫֱ*//
uint8 TcpbattSN[17] = {0x31}; //ϴSN
uint8 VIN[17] = {0};
volatile uint32 TimerCounter = 0; // msλ
uint32 BattTempR[4] = {0};		  // ADCѯ¶Rֵ
uint16 ErrorArray[10] = {0};
uint8 Fota_update_flag = 0;
/*GPS*/
QueueHandle_t GpsDataQueueHandle;
sint16 xyzData[3] = {0};
/*Hal_Can*/
uint8 CanIf_u8TxConfirmCnt = 0U;
boolean CanIf_bTxFlag = false;
uint8 CanIf_u8RxIndicationCnt = 0U;
boolean CanIf_bRxFlag = false;
QueueHandle_t CanRecvQueueHandle;

/*TCPر*/
char ImeiNum[15] = {0};
char IccidNum[20] = {0};
uint8 CSQValue = 0;
sint8 SocketId = -1;
sint8 RegChkRet = 0;
char WebSiteIp[20] = {0};
uint8 TcpWorkState = 0;
const char WebSiteName[] = "\"iotp.fast-fun.cn\"";
const uint16 WebSitePort = 8712;
// const char WebSiteName[] = "\"oss.li-ai.com.cn\"";
// const uint16 WebSitePort = 8712;

#define EEP_START_SEC_VAR_INIT_8_NO_CACHEABLE
#include "Eep_MemMap.h"
AppConfigBody AppConfigInfo = {false, true, {defaultSn}, {0}};
#define EEP_STOP_SEC_VAR_INIT_8_NO_CACHEABLE
#include "Eep_MemMap.h"

/*±ΪApp_CANر*/

// VCU
uint8 vehicleStatus = 0;
uint8 bmsHVOn = 0;
uint8 currentGearPosition = 0;
uint8 parkingBreakStatus = 0;
uint8 breakingStatus = 0;
uint32 ODO = 0;
uint8 dcdcWorkStatus = 0;
uint8 numOfChrgableSubsys = 0;
uint8 chrgableSubsysCode = 0;

uint16 vcuDCVol = 0;
// EBC
uint8 ebcStatus = 0;
uint8 ebcAskHVOn = 0;
uint8 ebcAskHVOff = 0;
uint8 retainLockSignal = 0;
uint8 dischargeLockSignal = 0;
uint8 chargeLockSignal = 0;
uint8 chargeFlag = 0;
// Bcu
UINT32 canMsgNoRecvCounter = 0;

UINT32 BcuInTable[71] = {
	0x721,
	0x830,
	0x831,
	0x832,
	0x833,
	0x834,
	0x835,
	0x837,
	0x840,
	0x841,
	0x842,
	0x843,
	0x844,
	0x845,
	0x846,
	0x847,
	0x848,
	0x849,
	0x84A,
	0x84B,
	0x84C,
	0x84D,
	0x84E,
	0x84F,
	0x850,
	0x851,
	0x852,
	0x853,
	0x854,
	0x855,
	0x856,
	0x857,
	0x858,
	0x859,
	0x85A,
	0x85B,
	0x85C,
	0x85D,
	0x85E,
	0x85F,
	0x860,
	0x861,
	0x862,
	0x863,
	0x864,
	0x865,
	0x866,
	0x867,
	0x868,
	0x869,
	0x86A,
	0x86B,
	0x86C,
	0x86D,
	0x86E,
	0x86F,
	0x870,
	0x871,
	0x872,
	0x873,
	0x874,
	0x875,
	0x876,
	0x877,
	0x878,
	0x879,
	0x87A,
	0x87B,
	0x87C,
	0x87D,
	0x87E,
};
BOOL BcuRxShortError[71];
BOOL BcuRxLongError[71];
UINT8 BcuRxErrorCounter[71];
UINT8 BcuRxFlag[71];
/************************************************************
 *BCU->4G
 ************************************************************/
// declear the UINT8 vars
UINT8 VcuBcuOperModReq = 0x00; //ź
UINT8 BcuErrRank = 0x00;	   //ϵȼ
UINT8 BcuErrNum = 0x00;		   //
UINT8 BcuUpAlw = 0x00;		   //ѹϵ
UINT8 BcuOperMod = 0x00;	   //ع״̬
UINT8 BcuChrgMod = 0x00;	   //سģʽ
UINT8 BcuChrgSt = 0x00;		   //س״̬
UINT8 BcuChrgEndReason = 0x00; //ԭ
UINT8 BcuCellNr = 0x00;		   //ѭ
UINT8 BcuModT[96] = {0x00};

// declear the UINT16 vars
UINT16 BcuSoc = 0x00;			   //SOC
UINT16 BcuErrCode = 0x00;		   //
UINT16 BcuInsulationR = 0x00;	   //Ե
UINT16 BcuBattI1 = 0x00;		   //ذ1ܵ
UINT16 BcuBattI2 = 0x00;		   //ذ2ܵ
UINT16 BcuBattU1 = 0x00;		   //ذ1ܵѹ
UINT16 BcuBattU2 = 0x00;		   //ذ2ܵѹ
UINT16 BcuChrgIReq = 0x00;		   //
UINT16 BcuChrgUReq = 0x00;		   //ѹ
UINT16 BcuReChrgTm = 0x00;		   //ʣʱ
UINT16 BcuDisChrPwrMaxLong = 0x00; //طŵ(ʱ)
UINT16 BcuSoh = 0x00;			   //ؽ״̬
UINT16 BcuCellCap = 0x00;		   //
UINT16 BcuCellR = 0x00;			   //
UINT16 BcuReEgy = 0x00;			   //ʣ
UINT16 BcuSoe = 0x00;			   //ʣٷֱ
UINT16 BcuAhSoc = 0x00;			   //ʱSOC
UINT16 BcuBattSoc = 0x00;		   //SOC
UINT16 BcuEKFSoc = 0x00;		   // EKFSoc
UINT16 BcuEquilist[12] = {0x00};   //#1-16״̬
UINT16 BcuCellU[192] = {0x00};
// declear the UINT32 vars
UINT32 BcuChrPwrMaxLong = 0x00; //س(ʱ)
